<mat-toolbar color="primary" class="mat-elevation-z8">
    <button (click)="drawer.toggle()" mat-icon-button>
        <mat-icon>menu</mat-icon>
    </button>
    <span>Pesto Task Management App</span>
    <span class="example-spacer"></span>
    <button mat-icon-button [matMenuTriggerFor]="avatarMenu">
        <mat-icon>account_circle</mat-icon>
    </button>
    <mat-menu #avatarMenu="matMenu">
        <button mat-menu-item style="font-size:5px;"><mat-icon>person</mat-icon>{{ currentUser }}</button>
        <button mat-menu-item style="font-size:10px;" (click)="logOut()"><mat-icon>exit_to_app</mat-icon>Logout</button>
      </mat-menu>
</mat-toolbar>


<mat-drawer-container autosize>

    <mat-drawer #drawer opened="true" mode="side" position="start">
        <mat-nav-list>
            <mat-list-item>
                <button routerLink="/home/tasks" mat-button><mat-icon>tasks</mat-icon>Tasks</button>
            </mat-list-item>
        </mat-nav-list>
    </mat-drawer>

    <mat-drawer-content>
        <div style="min-height: 600px;">
            <router-outlet></router-outlet>
        </div>
    </mat-drawer-content>

</mat-drawer-container>